# synfig::ValueNode_Composite Class Reference

`#include <valuenode_composite.h>`

Inheritance diagram for synfig::ValueNode_Composite:

List of all members.

## Public Types

typedef etl::handle < ValueNode_Composite > | Handle
typedef etl::handle< const ValueNode_Composite > | ConstHandle

## Public Member Functions

| ~ValueNode_Composite ()
virtual ValueNode::LooseHandle | get_link_vfunc (int i) const
virtual int | link_count () const
virtual String | link_name (int i) const
virtual String | link_local_name (int i) const
virtual ValueBase | operator() (Time t) const
| Returns the value of the ValueNode at time t.
virtual String | get_name () const
| Returns the name of the ValueNode type.
virtual String | get_local_name () const
| Returns the localized name of the ValueNode type.
virtual int | get_link_index_from_name (const String &name) const

## Static Public Member Functions

static bool | check_type (ValueBase::Type type)
static ValueNode_Composite * | create (const ValueBase &x)

## Protected Member Functions

virtual bool | set_link_vfunc (int i, ValueNode::Handle x)
LinkableValueNode * | create_new () const

## Member Typedef Documentation

typedef etl::handle<ValueNode_Composite> synfig::ValueNode_Composite::Handle

Reimplemented from synfig::LinkableValueNode.

typedef etl::handle<const ValueNode_Composite> synfig::ValueNode_Composite::ConstHandle

Reimplemented from synfig::LinkableValueNode.

## Constructor & Destructor Documentation

ValueNode_Composite::~ValueNode_Composite | ( |  | ) |

References synfig::LinkableValueNode::unlink_all().

## Member Function Documentation

ValueNode::LooseHandle ValueNode_Composite::get_link_vfunc | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References link_count().

int ValueNode_Composite::link_count | ( |  | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References _, synfig::ValueNode::get_type(), synfig::ValueBase::TYPE_BLINEPOINT, synfig::ValueBase::TYPE_COLOR, synfig::ValueBase::TYPE_SEGMENT, synfig::ValueBase::TYPE_VECTOR, and synfig::warning().

Referenced by get_link_index_from_name(), get_link_vfunc(), link_local_name(), link_name(), and set_link_vfunc().

String ValueNode_Composite::link_name | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References synfig::get_file_version(), synfig::ValueNode::get_type(), link_count(), synfig::RELEASE_VERSION_0_61_08, synfig::ValueBase::TYPE_BLINEPOINT, synfig::ValueBase::TYPE_COLOR, synfig::ValueBase::TYPE_SEGMENT, and synfig::ValueBase::TYPE_VECTOR.

String ValueNode_Composite::link_local_name | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References _, synfig::ValueNode::get_type(), link_count(), synfig::ValueBase::TYPE_BLINEPOINT, synfig::ValueBase::TYPE_COLOR, synfig::ValueBase::TYPE_SEGMENT, and synfig::ValueBase::TYPE_VECTOR.

ValueBase synfig::ValueNode_Composite::operator() | ( | Time |  | ) | const`[virtual]`

Returns the value of the ValueNode at time t.

Reimplemented from synfig::ValueNode.

References _, synfig::error(), synfig::BLinePoint::get_split_tangent_flag(), synfig::ValueNode::get_type(), synfig::Segment::p1, synfig::Segment::p2, synfig::Color::set_a(), synfig::Color::set_b(), synfig::Color::set_g(), synfig::BLinePoint::set_origin(), synfig::Color::set_r(), synfig::BLinePoint::set_split_tangent_flag(), synfig::BLinePoint::set_tangent1(), synfig::BLinePoint::set_tangent2(), synfig::BLinePoint::set_vertex(), synfig::BLinePoint::set_width(), synfig::Segment::t1, synfig::Segment::t2, synfig::ValueBase::TYPE_BLINEPOINT, synfig::ValueBase::TYPE_COLOR, synfig::ValueBase::TYPE_SEGMENT, and synfig::ValueBase::TYPE_VECTOR.

String ValueNode_Composite::get_name | ( |  | ) | const`[virtual]`

Returns the name of the ValueNode type.

Implements synfig::ValueNode.

String ValueNode_Composite::get_local_name | ( |  | ) | const`[virtual]`

Returns the localized name of the ValueNode type.

Implements synfig::ValueNode.

References _.

int ValueNode_Composite::get_link_index_from_name | ( | const String & | name | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References synfig::ValueNode::get_type(), link_count(), synfig::ValueBase::TYPE_BLINEPOINT, synfig::ValueBase::TYPE_COLOR, synfig::ValueBase::TYPE_SEGMENT, and synfig::ValueBase::TYPE_VECTOR.

bool ValueNode_Composite::set_link_vfunc | ( | int | i,
|  | ValueNode::Handle | x |
| ) |  |  | `[protected, virtual]`

Implements synfig::LinkableValueNode.

References synfig::ValueNode::get_type(), link_count(), synfig::ValueBase::TYPE_BLINEPOINT, synfig::ValueBase::TYPE_COLOR, synfig::ValueBase::TYPE_SEGMENT, and synfig::ValueBase::TYPE_VECTOR.

LinkableValueNode * ValueNode_Composite::create_new | ( |  | ) | const`[protected, virtual]`

Implements synfig::LinkableValueNode.

References synfig::ValueNode::get_type().

bool ValueNode_Composite::check_type | ( | ValueBase::Type | type | ) | `[static]`

References synfig::ValueBase::TYPE_BLINEPOINT, synfig::ValueBase::TYPE_COLOR, synfig::ValueBase::TYPE_SEGMENT, and synfig::ValueBase::TYPE_VECTOR.

ValueNode_Composite * ValueNode_Composite::create | ( | const ValueBase & | x | ) | `[static]`

Referenced by synfig::ValueNode_BLine::create(), synfig::ValueNode_DynamicList::create_list_entry(), and synfig::ValueNode_BLine::create_list_entry().

The documentation for this class was generated from the following files:

- valuenode_composite.h
- valuenode_composite.cpp